Skip to main content
PUT
/
api
/
customer
/
{customerId}
/
screen
/
{screeningId}
/
hit
markParticularHitAsAMatch
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/hit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "screeningHitIds": [
    123
  ]
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/hit"

payload = { "screeningHitIds": [123] }
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({screeningHitIds: [123]})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/screen/{screeningId}/hit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "body": {},
    "commentCount": 123,
    "createdAt": {
      "date": 123,
      "day": 123,
      "hours": 123,
      "minutes": 123,
      "month": 123,
      "nanos": 123,
      "seconds": 123,
      "time": 123,
      "timezoneOffset": 123,
      "year": 123
    },
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "fullName": "<string>",
      "id": 123,
      "lastName": "<string>"
    },
    "diff": {},
    "externalId": "<string>",
    "id": 123,
    "newMatch": true,
    "profileId": 123,
    "screeningId": 123,
    "updatedAt": {
      "date": 123,
      "day": 123,
      "hours": 123,
      "minutes": 123,
      "month": 123,
      "nanos": 123,
      "seconds": 123,
      "time": 123,
      "timezoneOffset": 123,
      "year": 123
    },
    "updatedBy": {
      "email": "<string>",
      "firstName": "<string>",
      "fullName": "<string>",
      "id": 123,
      "lastName": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

screeningId
integer<int64>
required

screeningId

Body

application/json

requestDto

match
enum<string>
required
Available options:
FALSE_POSITIVE,
NO_ACTION,
TRUE_HIT
screeningHitIds
integer<int64>[]
required

Response

OK

body
JsonNode · object
commentCount
integer<int64>
createdAt
Timestamp · object
createdBy
UserInfo · object
diff
JsonNode · object
externalId
string
id
integer<int64>
matched
enum<string>
Available options:
FALSE_POSITIVE,
NO_ACTION,
TRUE_HIT
newMatch
boolean
profileId
integer<int64>
screeningId
integer<int64>
screeningType
enum<string>
Available options:
ARTEMISCAN,
DJ,
FACE_COMPARE,
INTERNET_SEARCH,
OCR,
OWN_RESTRICTED_LIST,
TR
updatedAt
Timestamp · object
updatedBy
UserInfo · object